<template>
  <section class="home d-flex justify-content-center align-items-center">
    <div class="box">
      <h1 class="text-center mb-5">Bem Vindo, {{ user.name }}</h1>
      <img src="@/assets/logo-seetowork.png" class="img-fluid d-block m-auto" alt="" />
    </div>
  </section>
</template>

<script>
export default {
  name: "Dashboard",
  components: {},
  data() {
    return {
      user : {
        id: null,
        name: null,
        email: null,
        senha: null,
        phone: null,
        cpf: null,
        type: null
      },
    };
  },
  methods:{
    checkLogin(){
      let login = localStorage.getItem('login')
      !login ? this.$router.push('/login') : this.insertUser()
    },
    insertUser(){
      let userBD = JSON.parse(localStorage.getItem('user'))
      this.user = {
        id: userBD.id,
        name: userBD.data.name,
        email: userBD.email,
        senha: userBD.senha,
        phone: userBD.data.phone,
        cpf: userBD.data.cpf,
        type: userBD.type
      }
    }
  },
  mounted(){
    this.checkLogin()
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.home {
  height: calc(100vh - 145px);
}
h1 {
  font-size: 30px;
}
img {
  height: 30vh;
}
@media (max-width: 600px) {
  h1 {
    font-size: 20px;
  }
}
@media (max-width: 450px) {
  h1 {
    font-size: 18px;
  }
}
</style>
